/* Name: main.c
 * Project: USB-LCD based on AVR USB driver
 * Author: Bernhard Schulte
 * Creation Date: 2007-06-06
 * Tabsize: 2
 * Copyright: (c) 2005 by OBJECTIVE DEVELOPMENT Software GmbH
 * License: GNU GPL v2 (see License.txt) or proprietary (CommercialLicense.txt)
 * This Revision: $Id: main.c 277 2007-03-20 10:53:33Z cs $
 */

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>


#include "usbdrv/usbdrv.h"
#include "lcd.h"


#define VERSION_STR "1.09 ... ready."

/*
USB-LCD based upon USB-Switch application from ObDEV abd LCD library from Peter Fleury
*/

#define EEPROM_LOCATION 37


uchar   usbFunctionSetup(uchar data[8])
{
	//int cmd = data[1];

	switch (data[1]) {
	case 0:
		lcd_data(data[2]);
		break;
	case 1:
		lcd_command(data[2]);
		break;
	
	case 2:
		lcd_home();
		break;
  
	case 3:
		lcd_clrscr();
		break;
  
	case 4:
		lcd_gotoxy(data[2],data[4]);
		break;
  
	case 5:
		lcd_putc(data[2]);
		break;
  

	}
/*  register uchar c;
  register uchar i;
  for(i=2;i<5;i+=2){
    c = ((data[i]<<4) & 0x0F) +0x41;
    lcd_putc(c);
    c = (data[i] & 0x0F) +0x41;
    lcd_putc(c);
    c = 0x20;
    lcd_putc(c);
  }
*/
  return 0;
}


//void usbFunctionWriteOut(uchar *data,uchar len)
/*uchar usbFunctionWrite(uchar *data,uchar len)
{
  lcd_putsl(data,len);
  return 1;
}*/


int main(void)
{
	PORTB = 0xFF;
	DDRB = 0xFF;
	PORTD = 0;
	DDRD = 0b01111000;

	lcd_init(LCD_DISP_ON);
	lcd_puts(VERSION_STR);
	usbInit();
	sei();
	for(;;){	/* main event loop */
		usbPoll();
	}
	return 0;
}

